/*
 * Internal module API header file.
 *
 * Generated by SIP 6.12.0
 *
 * Copyright (c) 2025 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-WebEngine.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebEngineWidgetsAPI_H
#define _QtWebEngineWidgetsAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_9_0
#define SIP_TIMELINE_QtWebEngine_6_9_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_createStandardContextMenu 0
#define sipName_createStandardContextMenu &sipStrings_QtWebEngineWidgets[0]
#define sipNameNr_PyQt6_QtWebEngineWidgets 26
#define sipName_PyQt6_QtWebEngineWidgets &sipStrings_QtWebEngineWidgets[26]
#define sipNameNr_renderProcessTerminated 51
#define sipName_renderProcessTerminated &sipStrings_QtWebEngineWidgets[51]
#define sipNameNr_lastContextMenuRequest 75
#define sipName_lastContextMenuRequest &sipStrings_QtWebEngineWidgets[75]
#define sipNameNr_mouseDoubleClickEvent 98
#define sipName_mouseDoubleClickEvent &sipStrings_QtWebEngineWidgets[98]
#define sipNameNr_printRequestedByFrame 120
#define sipName_printRequestedByFrame &sipStrings_QtWebEngineWidgets[120]
#define sipNameNr_pdfPrintingFinished 142
#define sipName_pdfPrintingFinished &sipStrings_QtWebEngineWidgets[142]
#define sipNameNr_focusNextPrevChild 162
#define sipName_focusNextPrevChild &sipStrings_QtWebEngineWidgets[162]
#define sipNameNr_hasHeightForWidth 181
#define sipName_hasHeightForWidth &sipStrings_QtWebEngineWidgets[181]
#define sipNameNr_mouseReleaseEvent 199
#define sipName_mouseReleaseEvent &sipStrings_QtWebEngineWidgets[199]
#define sipNameNr_triggerPageAction 217
#define sipName_triggerPageAction &sipStrings_QtWebEngineWidgets[217]
#define sipNameNr_contextMenuEvent 235
#define sipName_contextMenuEvent &sipStrings_QtWebEngineWidgets[235]
#define sipNameNr_disconnectNotify 252
#define sipName_disconnectNotify &sipStrings_QtWebEngineWidgets[252]
#define sipNameNr_inputMethodEvent 269
#define sipName_inputMethodEvent &sipStrings_QtWebEngineWidgets[269]
#define sipNameNr_inputMethodQuery 286
#define sipName_inputMethodQuery &sipStrings_QtWebEngineWidgets[286]
#define sipNameNr_selectionChanged 303
#define sipName_selectionChanged &sipStrings_QtWebEngineWidgets[303]
#define sipNameNr_keyReleaseEvent 320
#define sipName_keyReleaseEvent &sipStrings_QtWebEngineWidgets[320]
#define sipNameNr_minimumSizeHint 336
#define sipName_minimumSizeHint &sipStrings_QtWebEngineWidgets[336]
#define sipNameNr_mousePressEvent 352
#define sipName_mousePressEvent &sipStrings_QtWebEngineWidgets[352]
#define sipNameNr_QWebEngineView 368
#define sipName_QWebEngineView &sipStrings_QtWebEngineWidgets[368]
#define sipNameNr_dragEnterEvent 383
#define sipName_dragEnterEvent &sipStrings_QtWebEngineWidgets[383]
#define sipNameNr_dragLeaveEvent 398
#define sipName_dragLeaveEvent &sipStrings_QtWebEngineWidgets[398]
#define sipNameNr_heightForWidth 413
#define sipName_heightForWidth &sipStrings_QtWebEngineWidgets[413]
#define sipNameNr_iconUrlChanged 428
#define sipName_iconUrlChanged &sipStrings_QtWebEngineWidgets[428]
#define sipNameNr_mouseMoveEvent 443
#define sipName_mouseMoveEvent &sipStrings_QtWebEngineWidgets[443]
#define sipNameNr_printRequested 458
#define sipName_printRequested &sipStrings_QtWebEngineWidgets[458]
#define sipNameNr_resultCallback 473
#define sipName_resultCallback &sipStrings_QtWebEngineWidgets[473]
#define sipNameNr_connectNotify 255
#define sipName_connectNotify &sipStrings_QtWebEngineWidgets[255]
#define sipNameNr_dragMoveEvent 488
#define sipName_dragMoveEvent &sipStrings_QtWebEngineWidgets[488]
#define sipNameNr_focusOutEvent 502
#define sipName_focusOutEvent &sipStrings_QtWebEngineWidgets[502]
#define sipNameNr_keyPressEvent 516
#define sipName_keyPressEvent &sipStrings_QtWebEngineWidgets[516]
#define sipNameNr_printFinished 530
#define sipName_printFinished &sipStrings_QtWebEngineWidgets[530]
#define sipNameNr_setZoomFactor 544
#define sipName_setZoomFactor &sipStrings_QtWebEngineWidgets[544]
#define sipNameNr_sharedPainter 558
#define sipName_sharedPainter &sipStrings_QtWebEngineWidgets[558]
#define sipNameNr_createWindow 572
#define sipName_createWindow &sipStrings_QtWebEngineWidgets[572]
#define sipNameNr_focusInEvent 585
#define sipName_focusInEvent &sipStrings_QtWebEngineWidgets[585]
#define sipNameNr_hasSelection 598
#define sipName_hasSelection &sipStrings_QtWebEngineWidgets[598]
#define sipNameNr_loadFinished 611
#define sipName_loadFinished &sipStrings_QtWebEngineWidgets[611]
#define sipNameNr_loadProgress 624
#define sipName_loadProgress &sipStrings_QtWebEngineWidgets[624]
#define sipNameNr_selectedText 637
#define sipName_selectedText &sipStrings_QtWebEngineWidgets[637]
#define sipNameNr_titleChanged 650
#define sipName_titleChanged &sipStrings_QtWebEngineWidgets[650]
#define sipNameNr_actionEvent 663
#define sipName_actionEvent &sipStrings_QtWebEngineWidgets[663]
#define sipNameNr_changeEvent 675
#define sipName_changeEvent &sipStrings_QtWebEngineWidgets[675]
#define sipNameNr_customEvent 687
#define sipName_customEvent &sipStrings_QtWebEngineWidgets[687]
#define sipNameNr_eventFilter 699
#define sipName_eventFilter &sipStrings_QtWebEngineWidgets[699]
#define sipNameNr_iconChanged 711
#define sipName_iconChanged &sipStrings_QtWebEngineWidgets[711]
#define sipNameNr_initPainter 723
#define sipName_initPainter &sipStrings_QtWebEngineWidgets[723]
#define sipNameNr_loadStarted 735
#define sipName_loadStarted &sipStrings_QtWebEngineWidgets[735]
#define sipNameNr_nativeEvent 747
#define sipName_nativeEvent &sipStrings_QtWebEngineWidgets[747]
#define sipNameNr_paintEngine 759
#define sipName_paintEngine &sipStrings_QtWebEngineWidgets[759]
#define sipNameNr_resizeEvent 771
#define sipName_resizeEvent &sipStrings_QtWebEngineWidgets[771]
#define sipNameNr_tabletEvent 783
#define sipName_tabletEvent &sipStrings_QtWebEngineWidgets[783]
#define sipNameNr_childEvent 795
#define sipName_childEvent &sipStrings_QtWebEngineWidgets[795]
#define sipNameNr_closeEvent 806
#define sipName_closeEvent &sipStrings_QtWebEngineWidgets[806]
#define sipNameNr_enterEvent 817
#define sipName_enterEvent &sipStrings_QtWebEngineWidgets[817]
#define sipNameNr_leaveEvent 828
#define sipName_leaveEvent &sipStrings_QtWebEngineWidgets[828]
#define sipNameNr_pageAction 839
#define sipName_pageAction &sipStrings_QtWebEngineWidgets[839]
#define sipNameNr_pageLayout 850
#define sipName_pageLayout &sipStrings_QtWebEngineWidgets[850]
#define sipNameNr_paintEvent 861
#define sipName_paintEvent &sipStrings_QtWebEngineWidgets[861]
#define sipNameNr_printToPdf 872
#define sipName_printToPdf &sipStrings_QtWebEngineWidgets[872]
#define sipNameNr_setContent 883
#define sipName_setContent &sipStrings_QtWebEngineWidgets[883]
#define sipNameNr_setVisible 894
#define sipName_setVisible &sipStrings_QtWebEngineWidgets[894]
#define sipNameNr_timerEvent 905
#define sipName_timerEvent &sipStrings_QtWebEngineWidgets[905]
#define sipNameNr_urlChanged 916
#define sipName_urlChanged &sipStrings_QtWebEngineWidgets[916]
#define sipNameNr_wheelEvent 927
#define sipName_wheelEvent &sipStrings_QtWebEngineWidgets[927]
#define sipNameNr_zoomFactor 938
#define sipName_zoomFactor &sipStrings_QtWebEngineWidgets[938]
#define sipNameNr_dropEvent 949
#define sipName_dropEvent &sipStrings_QtWebEngineWidgets[949]
#define sipNameNr_hideEvent 959
#define sipName_hideEvent &sipStrings_QtWebEngineWidgets[959]
#define sipNameNr_moveEvent 969
#define sipName_moveEvent &sipStrings_QtWebEngineWidgets[969]
#define sipNameNr_showEvent 979
#define sipName_showEvent &sipStrings_QtWebEngineWidgets[979]
#define sipNameNr_findText 989
#define sipName_findText &sipStrings_QtWebEngineWidgets[989]
#define sipNameNr_mimeType 998
#define sipName_mimeType &sipStrings_QtWebEngineWidgets[998]
#define sipNameNr_settings 1007
#define sipName_settings &sipStrings_QtWebEngineWidgets[1007]
#define sipNameNr_sizeHint 1016
#define sipName_sizeHint &sipStrings_QtWebEngineWidgets[1016]
#define sipNameNr_baseUrl 1025
#define sipName_baseUrl &sipStrings_QtWebEngineWidgets[1025]
#define sipNameNr_checked 1033
#define sipName_checked &sipStrings_QtWebEngineWidgets[1033]
#define sipNameNr_devType 1041
#define sipName_devType &sipStrings_QtWebEngineWidgets[1041]
#define sipNameNr_forPage 1049
#define sipName_forPage &sipStrings_QtWebEngineWidgets[1049]
#define sipNameNr_forward 1057
#define sipName_forward &sipStrings_QtWebEngineWidgets[1057]
#define sipNameNr_history 1065
#define sipName_history &sipStrings_QtWebEngineWidgets[1065]
#define sipNameNr_iconUrl 1073
#define sipName_iconUrl &sipStrings_QtWebEngineWidgets[1073]
#define sipNameNr_options 1081
#define sipName_options &sipStrings_QtWebEngineWidgets[1081]
#define sipNameNr_setHtml 1089
#define sipName_setHtml &sipStrings_QtWebEngineWidgets[1089]
#define sipNameNr_setPage 1097
#define sipName_setPage &sipStrings_QtWebEngineWidgets[1097]
#define sipNameNr_metric 1105
#define sipName_metric &sipStrings_QtWebEngineWidgets[1105]
#define sipNameNr_parent 1112
#define sipName_parent &sipStrings_QtWebEngineWidgets[1112]
#define sipNameNr_ranges 1119
#define sipName_ranges &sipStrings_QtWebEngineWidgets[1119]
#define sipNameNr_reload 1126
#define sipName_reload &sipStrings_QtWebEngineWidgets[1126]
#define sipNameNr_setUrl 1133
#define sipName_setUrl &sipStrings_QtWebEngineWidgets[1133]
#define sipNameNr_event 1140
#define sipName_event &sipStrings_QtWebEngineWidgets[1140]
#define sipNameNr_print 1146
#define sipName_print &sipStrings_QtWebEngineWidgets[1146]
#define sipNameNr_title 1152
#define sipName_title &sipStrings_QtWebEngineWidgets[1152]
#define sipNameNr_back 483
#define sipName_back &sipStrings_QtWebEngineWidgets[483]
#define sipNameNr_icon 1158
#define sipName_icon &sipStrings_QtWebEngineWidgets[1158]
#define sipNameNr_load 1128
#define sipName_load &sipStrings_QtWebEngineWidgets[1128]
#define sipNameNr_page 1163
#define sipName_page &sipStrings_QtWebEngineWidgets[1163]
#define sipNameNr_stop 1168
#define sipName_stop &sipStrings_QtWebEngineWidgets[1168]
#define sipNameNr_url 1173
#define sipName_url &sipStrings_QtWebEngineWidgets[1173]

#define sipMalloc                   sipAPI_QtWebEngineWidgets->api_malloc
#define sipFree                     sipAPI_QtWebEngineWidgets->api_free
#define sipBuildResult              sipAPI_QtWebEngineWidgets->api_build_result
#define sipCallMethod               sipAPI_QtWebEngineWidgets->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebEngineWidgets->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebEngineWidgets->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebEngineWidgets->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebEngineWidgets->api_parse_result
#define sipParseArgs                sipAPI_QtWebEngineWidgets->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebEngineWidgets->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebEngineWidgets->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtWebEngineWidgets->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtWebEngineWidgets->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtWebEngineWidgets->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtWebEngineWidgets->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtWebEngineWidgets->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebEngineWidgets->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebEngineWidgets->api_add_exception
#define sipNoFunction               sipAPI_QtWebEngineWidgets->api_no_function
#define sipNoMethod                 sipAPI_QtWebEngineWidgets->api_no_method
#define sipAbstractMethod           sipAPI_QtWebEngineWidgets->api_abstract_method
#define sipBadClass                 sipAPI_QtWebEngineWidgets->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebEngineWidgets->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebEngineWidgets->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebEngineWidgets->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebEngineWidgets->api_trace
#define sipTransferBack             sipAPI_QtWebEngineWidgets->api_transfer_back
#define sipTransferTo               sipAPI_QtWebEngineWidgets->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtWebEngineWidgets->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebEngineWidgets->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebEngineWidgets->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebEngineWidgets->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebEngineWidgets->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebEngineWidgets->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebEngineWidgets->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebEngineWidgets->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebEngineWidgets->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtWebEngineWidgets->api_call_hook
#define sipEndThread                sipAPI_QtWebEngineWidgets->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtWebEngineWidgets->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebEngineWidgets->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebEngineWidgets->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebEngineWidgets->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtWebEngineWidgets->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtWebEngineWidgets->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebEngineWidgets->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebEngineWidgets->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebEngineWidgets->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtWebEngineWidgets->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtWebEngineWidgets->api_convert_to_bool
#define sipReleaseType              sipAPI_QtWebEngineWidgets->api_release_type
#define sipConvertFromType          sipAPI_QtWebEngineWidgets->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebEngineWidgets->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebEngineWidgets->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebEngineWidgets->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebEngineWidgets->api_get_state
#define sipExportSymbol             sipAPI_QtWebEngineWidgets->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebEngineWidgets->api_import_symbol
#define sipFindType                 sipAPI_QtWebEngineWidgets->api_find_type
#define sipBytes_AsChar             sipAPI_QtWebEngineWidgets->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebEngineWidgets->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebEngineWidgets->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebEngineWidgets->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebEngineWidgets->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebEngineWidgets->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebEngineWidgets->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebEngineWidgets->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebEngineWidgets->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebEngineWidgets->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebEngineWidgets->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebEngineWidgets->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebEngineWidgets->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtWebEngineWidgets->api_get_reference
#define sipKeepReference            sipAPI_QtWebEngineWidgets->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebEngineWidgets->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebEngineWidgets->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebEngineWidgets->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebEngineWidgets->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebEngineWidgets->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebEngineWidgets->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtWebEngineWidgets->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtWebEngineWidgets->api_init_mixin
#define sipExportModule             sipAPI_QtWebEngineWidgets->api_export_module
#define sipInitModule               sipAPI_QtWebEngineWidgets->api_init_module
#define sipGetInterpreter           sipAPI_QtWebEngineWidgets->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtWebEngineWidgets->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebEngineWidgets->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebEngineWidgets->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebEngineWidgets->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebEngineWidgets->api_get_c_function
#define sipGetMethod                sipAPI_QtWebEngineWidgets->api_get_method
#define sipFromMethod               sipAPI_QtWebEngineWidgets->api_from_method
#define sipGetDate                  sipAPI_QtWebEngineWidgets->api_get_date
#define sipFromDate                 sipAPI_QtWebEngineWidgets->api_from_date
#define sipGetDateTime              sipAPI_QtWebEngineWidgets->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebEngineWidgets->api_from_datetime
#define sipGetTime                  sipAPI_QtWebEngineWidgets->api_get_time
#define sipFromTime                 sipAPI_QtWebEngineWidgets->api_from_time
#define sipIsUserType               sipAPI_QtWebEngineWidgets->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtWebEngineWidgets->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebEngineWidgets->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebEngineWidgets->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebEngineWidgets->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebEngineWidgets->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebEngineWidgets->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebEngineWidgets->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebEngineWidgets->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebEngineWidgets->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebEngineWidgets->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtWebEngineWidgets->api_register_event_handler
#define sipConvertToArray           sipAPI_QtWebEngineWidgets->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebEngineWidgets->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebEngineWidgets->api_enable_gc
#define sipPrintObject              sipAPI_QtWebEngineWidgets->api_print_object
#define sipLong_AsChar              sipAPI_QtWebEngineWidgets->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtWebEngineWidgets->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtWebEngineWidgets->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtWebEngineWidgets->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtWebEngineWidgets->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtWebEngineWidgets->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtWebEngineWidgets->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtWebEngineWidgets->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtWebEngineWidgets->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtWebEngineWidgets->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtWebEngineWidgets->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtWebEngineWidgets->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtWebEngineWidgets->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtWebEngineWidgets->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtWebEngineWidgets->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtWebEngineWidgets->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtWebEngineWidgets->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtWebEngineWidgets->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtWebEngineWidgets->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtWebEngineWidgets->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtWebEngineWidgets->api_release_type_us
#define sipIsPyMethod               sipAPI_QtWebEngineWidgets->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtWebEngineWidgets[];

#define sipType_QWebEngineView sipExportedTypes_QtWebEngineWidgets[0]

extern sipClassTypeDef sipTypeDef_QtWebEngineWidgets_QWebEngineView;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebEngineWidgets;
extern sipExportedModuleDef sipModuleAPI_QtWebEngineWidgets;
extern sipTypeDef *sipExportedTypes_QtWebEngineWidgets[];

#define sipType_Qt_InputMethodQuery sipImportedTypes_QtWebEngineWidgets_QtCore[10].it_td

#define sipType_QObject sipImportedTypes_QtWebEngineWidgets_QtCore[4].it_td

#define sipType_QByteArray sipImportedTypes_QtWebEngineWidgets_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtWebEngineWidgets_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtWebEngineWidgets_QtCore[7].it_td

#define sipType_QChildEvent sipImportedTypes_QtWebEngineWidgets_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtWebEngineWidgets_QtCore[3].it_td

#define sipType_QSize sipImportedTypes_QtWebEngineWidgets_QtCore[5].it_td

#define sipType_QUrl sipImportedTypes_QtWebEngineWidgets_QtCore[8].it_td

#define sipType_QVariant sipImportedTypes_QtWebEngineWidgets_QtCore[9].it_td

#define sipType_QString sipImportedTypes_QtWebEngineWidgets_QtCore[6].it_td

#define sipType_qintptr sipImportedTypes_QtWebEngineWidgets_QtCore[11].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineWidgets_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebEngineWidgets_QtCore[];

#define sipType_QAction sipImportedTypes_QtWebEngineWidgets_QtGui[0].it_td

#define sipType_QPaintDevice sipImportedTypes_QtWebEngineWidgets_QtGui[18].it_td

#define sipType_QPaintDevice_PaintDeviceMetric sipImportedTypes_QtWebEngineWidgets_QtGui[19].it_td

#define sipType_QKeyEvent sipImportedTypes_QtWebEngineWidgets_QtGui[13].it_td

#define sipType_QFocusEvent sipImportedTypes_QtWebEngineWidgets_QtGui[9].it_td

#define sipType_QPaintEvent sipImportedTypes_QtWebEngineWidgets_QtGui[21].it_td

#define sipType_QMoveEvent sipImportedTypes_QtWebEngineWidgets_QtGui[15].it_td

#define sipType_QResizeEvent sipImportedTypes_QtWebEngineWidgets_QtGui[23].it_td

#define sipType_QCloseEvent sipImportedTypes_QtWebEngineWidgets_QtGui[2].it_td

#define sipType_QShowEvent sipImportedTypes_QtWebEngineWidgets_QtGui[24].it_td

#define sipType_QHideEvent sipImportedTypes_QtWebEngineWidgets_QtGui[10].it_td

#define sipType_QContextMenuEvent sipImportedTypes_QtWebEngineWidgets_QtGui[3].it_td

#define sipType_QInputMethodEvent sipImportedTypes_QtWebEngineWidgets_QtGui[12].it_td

#define sipType_QDropEvent sipImportedTypes_QtWebEngineWidgets_QtGui[7].it_td

#define sipType_QDragMoveEvent sipImportedTypes_QtWebEngineWidgets_QtGui[6].it_td

#define sipType_QDragEnterEvent sipImportedTypes_QtWebEngineWidgets_QtGui[4].it_td

#define sipType_QDragLeaveEvent sipImportedTypes_QtWebEngineWidgets_QtGui[5].it_td

#define sipType_QActionEvent sipImportedTypes_QtWebEngineWidgets_QtGui[1].it_td

#define sipType_QEnterEvent sipImportedTypes_QtWebEngineWidgets_QtGui[8].it_td

#define sipType_QMouseEvent sipImportedTypes_QtWebEngineWidgets_QtGui[14].it_td

#define sipType_QWheelEvent sipImportedTypes_QtWebEngineWidgets_QtGui[26].it_td

#define sipType_QTabletEvent sipImportedTypes_QtWebEngineWidgets_QtGui[25].it_td

#define sipType_QIcon sipImportedTypes_QtWebEngineWidgets_QtGui[11].it_td

#define sipType_QPageLayout sipImportedTypes_QtWebEngineWidgets_QtGui[16].it_td

#define sipType_QPageRanges sipImportedTypes_QtWebEngineWidgets_QtGui[17].it_td

#define sipType_QPaintEngine sipImportedTypes_QtWebEngineWidgets_QtGui[20].it_td

#define sipType_QPainter sipImportedTypes_QtWebEngineWidgets_QtGui[22].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineWidgets_QtGui[];

#define sipType_QWidget sipImportedTypes_QtWebEngineWidgets_QtWidgets[1].it_td

#define sipType_QMenu sipImportedTypes_QtWebEngineWidgets_QtWidgets[0].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineWidgets_QtWidgets[];

#define sipType_QPrinter sipImportedTypes_QtWebEngineWidgets_QtPrintSupport[0].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineWidgets_QtPrintSupport[];

#define sipType_QWebEngineContextMenuRequest sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[1].it_td

#define sipType_QWebEngineFrame sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[2].it_td

#define sipType_QWebEngineHistory sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[3].it_td

#define sipType_QWebEngineHttpRequest sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[4].it_td

#define sipType_QWebEnginePage sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[5].it_td

#define sipType_QWebEnginePage_RenderProcessTerminationStatus sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[6].it_td

#define sipType_QWebEnginePage_WebWindowType sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[8].it_td

#define sipType_QWebEnginePage_WebAction sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[7].it_td

#define sipType_QWebEngineProfile sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[9].it_td

#define sipType_QWebEngineSettings sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[10].it_td

#define sipType_QFlags_0100QWebEnginePage_FindFlag sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[0].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineWidgets_QtWebEngineCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebEngineWidgets_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtWebEngineWidgets_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebEngineWidgets_qt_metacast;
#line 198 "/builddir/build/BUILD/python-pyqt6-webengine-6.9.0-build/pyqt6_webengine-6.9.0/sip/QtWebEngineWidgets/qwebengineview.sip"
// Imports from QtCore.
typedef void (*pyqt6_qtwebenginewidgets_err_print_t)();
extern pyqt6_qtwebenginewidgets_err_print_t pyqt6_qtwebenginewidgets_err_print;
#line 533 "/builddir/build/BUILD/python-pyqt6-webengine-6.9.0-build/pyqt6_webengine-6.9.0/build/QtWebEngineWidgets/sipAPIQtWebEngineWidgets.h"

#endif
